> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a message



## OpenAPI

````yaml get /admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/message/send/{entity_id}/{donor_id}/{from}/{file_id}:
    get:
      tags:
        - Email manager
      summary: Send a message
      operationId: 52a0b2858d93704fd105413e0cc2ad27
      parameters:
        - name: entity_id
          in: path
          description: The id of the entity
          required: true
          schema:
            type: integer
        - name: donor_id
          in: path
          description: The id of the donor
          required: true
          schema:
            type: integer
        - name: from
          in: path
          description: The sender of the message
          required: true
          schema:
            type: string
        - name: file_id
          in: path
          description: The id of the file attached to the message
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  entity_id:
                    type: integer
                  donor_id:
                    type: integer
                  file_id:
                    type: integer
                  entities:
                    type: array
                    items:
                      type: object
                  donors:
                    type: array
                    items:
                      type: object
                  from:
                    type: string
                  from_title:
                    type: string
                  to:
                    type: string
                  s:
                    type: string
                  from_name:
                    type: string
                  recipients:
                    type: array
                    items:
                      type: object
                  file:
                    type: object
                  thumbnail:
                    type: string
                  link:
                    type: string
                  profileThumb:
                    type: string
                type: object

````